%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME terminal
Name:		gnome-terminal
Version:	3.6.1
Release:	%mkrel 2
Source0: http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) add -geometry support
Patch0:		gnome-terminal-2.25.3-geometry.patch
# (fc) change default background (grey on black)
Patch2:		gnome-terminal-2.10.0-background.patch
License:	GPLv2+
URL:		http://www.gnome.org/
Group:		Graphical desktop/GNOME
BuildRequires:	pkgconfig(gconf-2.0) >= 2.31.3
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 0.1.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(vte-2.90) >= 0.30.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	intltool >= 0.39.99
BuildRequires:	gnome-doc-utils
BuildRequires:	libxslt-proc
Buildrequires:	itstool

#for gtk-builder-convert
BuildRequires:	pkgconfig(gtk+-2.0)

%description
This is the GNOME terminal emulator application.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-schemas-install
%make

%install
%makeinstall_std

%find_lang %{name} --with-help

%post
if [ "$1" = "2" ]; then
	update-alternatives --remove xvt %{_bindir}/gnome-terminal
fi

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README NEWS HACKING
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/gnome-terminal


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307006
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297476
- new version 3.6.0

* Wed Aug 29 2012 fwang <fwang> 3.5.90-1.mga3
+ Revision: 285517
- update file list
- disable schemas install
- br itstool
- new verison 3.5.90

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1.1-1.mga2
+ Revision: 231105
- new version 3.4.1.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 226631
- new version 3.4.0.1

* Tue Feb 07 2012 fwang <fwang> 3.3.0-1.mga2
+ Revision: 205739
- new version 3.3.0

  + wally <wally>
    - clean .spec

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155713
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148704
- bump req
- new version 3.2.0

* Sat Sep 17 2011 fwang <fwang> 3.0.1-3.mga2
+ Revision: 144523
- br gtk+2 with gtk-builder-convert
- rebuild
- cleanup spec

* Sun Jun 26 2011 fwang <fwang> 3.0.1-2.mga2
+ Revision: 113962
- br gtk+2  for gtk-builder-convert binary
- build gtk3 flavour

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.1-1.mga2
+ Revision: 102415
- New version 3.0.1

* Thu Apr 28 2011 pterjan <pterjan> 3.0.0-3.mga1
+ Revision: 93308
- Use gsettings

* Wed Apr 20 2011 pterjan <pterjan> 3.0.0-2.mga1
+ Revision: 88946
- Do not use gsettings yet

* Wed Apr 20 2011 pterjan <pterjan> 3.0.0-1.mga1
+ Revision: 88939
- Update to 3.0.0
- Partial sync with mdv

  + dams <dams>
    - Update to 2.33.90

* Tue Apr 19 2011 dams <dams> 2.33.5-1.mga1
+ Revision: 88421
- Update to 2.33.5

* Tue Jan 18 2011 blino <blino> 2.33.3-1.mga1
+ Revision: 23608
- remove old version in comments
- remove old post scriptlets
- imported package gnome-terminal

